/*
 * Copyright (C) 2005-2012 Alfresco Software Limited.
 *
 * This file is part of Alfresco
 *
 * Alfresco is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Alfresco is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Alfresco. If not, see <http://www.gnu.org/licenses/>.
 */
package org.alfresco.bm.process.share.entity;

import org.openqa.selenium.WebDriver;

/**
 * Extension carrying data required to start a new Share session.
 * 
 * @author Derek Hulley
 * @since 1.0
 */
public class ShareStartEventData extends ShareEventData
{
    private final WebDriver driver;

    /**
     * Minimum data for a new Share session.
     *
     * @param username          the user that will use the browser
     * @param url               the Share URL
     * @param driver             the browser controller; required to even get to Share
     */
    public ShareStartEventData(final String username, final String url, WebDriver driver)
    {
        super(username, url);
        this.driver = driver;
    }

    public WebDriver getWebDriver()
    {
        return driver;
    }
}
