/*
 * Copyright (C) 2005-2013 Alfresco Software Limited.
 *
 * This file is part of Alfresco
 *
 * Alfresco is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Alfresco is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Alfresco. If not, see <http://www.gnu.org/licenses/>.
 */
package org.alfresco.bm.process.share.entity;

/**
 * Extension of {@link ShareEventData} that holds data for file creation
 * <ul>
 *     <li>filename</li>
 * </ul>
 * 
 * @author Derek Hulley
 * @since 1.1
 */
public class ShareUploadFileEventData extends ShareEventData 
{
    private final String filename;

    /**
     * Constructor.
     * 
     * @param copyFrom          existing data to copy values from
     * @param filename          the new file
     */
    public ShareUploadFileEventData(ShareEventData copyFrom, String filename)
    {
        super(copyFrom);
        
        if (filename == null)
        {
            throw new IllegalArgumentException("'filename' may not be null.");
        }
        
        this.filename = filename;
    }

    public String getFilename()
    {
        return filename;
    }
}
