/*
 * Copyright (C) 2005-2013 Alfresco Software Limited.
 *
 * This file is part of Alfresco
 *
 * Alfresco is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Alfresco is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Alfresco. If not, see <http://www.gnu.org/licenses/>.
 */

package org.alfresco.bm.process.share.soak;

import java.util.Collections;
import java.util.List;

import org.alfresco.bm.event.Event;
import org.alfresco.bm.process.share.entity.ShareEventData;
import org.alfresco.po.share.CustomiseUserDashboardPage;
import org.alfresco.po.share.SharePage;


/**
 * 
 * Scenario for customising user dashboard
 * 
 * 
 * @author jcule
 *
 */
public class ShareCustomiseUserdashboardScenario extends AbstractShareScenario
{
    public static final String EVENT_NAME_CUSTOMISE_USER_DASHBOARD = "share.customiseUserDashboard";

    private String eventNameNavigateToCustomiseUserDashboard = EVENT_NAME_CUSTOMISE_USER_DASHBOARD;
    
    /**
     * @param registry              registry with which this instance will be registered
     * @param weight                the weight relative to other scenarios registered in the registry
     * @param userDataService       service giving access to random usernames
     */
	public ShareCustomiseUserdashboardScenario(ShareScenarioRegistry registry, double weight) 
	{
		super(registry, weight);

	}

	@Override
	public List<Event> getNextEvents(Event event, ShareEventData eventData, ShareSoakData soakData,
			long nextEventTime) 
	{
        SharePage sharePage = eventData.getSharePage();
        if (sharePage instanceof CustomiseUserDashboardPage)
        {
            // TODO: Redirect to ?
        	
            return Collections.emptyList();
        }
        else
        {
            Event nextEvent = new Event(eventNameNavigateToCustomiseUserDashboard, nextEventTime, eventData);
            return Collections.singletonList(nextEvent);
        }
	}

}
